<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
>

	<ui:define name="title">
		<h:outputText value="#{msg['pages.cadastraGrupoPorFase.title']}" />
	</ui:define>
	
	<ui:define name="principal">
		<p:link outcome="mostraFase.xhtml" value="#{msg['pages.mostraFase.back']}"/>
		<h1><p:outputLabel value="#{msg['pages.cadastraGrupoPorFase.title']}"/></h1>
		<h:form id="formMostraGrupo">
			<p:dataTable var="aux"
					 value="#{grupoManagedBeans.gruposFase}"
					 id="tabelaGrupo"
					 editable="true" paginator="true"
					 rows="5"
					 paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
					 rowsPerPageTemplate="5,10,15"
					 selectionMode="single" selection="#{grupoManagedBeans.grupoSelecionado}"
					 rowkey="#{aux.numero}">
				
				<p:ajax event="rowEdit" listener="#{grupoManagedBeans.onRowEdit}"
				update="tabelaGrupo"/>
				<p:ajax event="rowSelect"/>
          		<p:ajax event="rowUnselect"/>
				
				<p:column filterBy="#{aux.nome}" headerText="#{msg['pages.cadastraGrupo.nome']}">
					<p:cellEditor>
						<f:facet name="output">
							<p:outputLabel value="#{aux.nome}"/>
						</f:facet>
						<f:facet name="input">
							<p:inputText value="#{aux.nome}"/>
						</f:facet>
					</p:cellEditor>
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraGrupo.fase']}">
					<p:outputLabel value="#{grupoManagedBeans.faseSelecionada.numero}" />
				</p:column>
				
				<p:column headerText="#{msg['pages.cadastraGrupo.rodadas']}">
					<p:commandButton action="cadastraRodada.xhmtl?faces-redirect=true" icon="ui-icon-plus">
						<f:setPropertyActionListener value="#{grupoManagedBeans.grupoSelecionado}" 
						target="#{rodadaManagedBeans.grupoSelecionado}"/>
					</p:commandButton>
					<p:commandButton action="mostraRodadaGrupoFase.xhmtl?faces-redirect=true" icon="ui-icon-search">
						<f:setPropertyActionListener value="#{grupoManagedBeans.grupoSelecionado}" 
						target="#{rodadaManagedBeans.grupoSelecionado}"/>
					</p:commandButton>
				</p:column>
				
				<p:column filterBy="#{aux.numero}" headerText="#{msg['pages.cadastraGrupo.numero']}">
					<p:outputLabel value="#{aux.numero}" />
				</p:column>
				
				<p:column style="width:70px" headerText="#{msg['pages.comuns.menuLateral.options']}">
					
					<p:rowEditor />
					
					<p:commandLink id="remover" styleClass="ui-icon ui-icon-trash"
						style="text-align:center"
						actionListener="#{grupoManagedBeans.remover(aux)}"
						update="tabelaGrupo" />
	  			</p:column>
				
			</p:dataTable>
		</h:form>
	</ui:define>
</ui:composition>